Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I had an old .NET Framework application running with Mono using OpenOffice and it worked very well.
Now I've just installed Ubuntu 11.10 Server and I discovered that it moved to LibreOffice, so I installed this suite on Windows, compiled using LibreOffice's CLI dlls and (on Windows) it works.
On Ubuntu I installed LibreOffice using sudo apt-get install libreoffice, but when I try to run my EXE I get a "TypeLoad Exception"; after an hard debug (see http://stackoverflow.com/questions/10029620/mono-libreoffice-system-typeloadexception) I discovered that CLI libraries are missing.
I remember that with OpenOffice I had to install cli-uno-bridge package, but I'm able to find it anymore on Oneiric.
I've also tried to use updatedb and then locate cli-, but these libraries seem to miss on my system.
How can I install them? Basicly: I need to run a Mono application using LibreOffice...

Thanks

UPDATE:
I found on this web page deb packages I need (yes, I know, they are not supported... but just to try); so I downloaded them and tried to install with dpkg -i *.deb, but I canno install

  • dpkg -i cli-uno-bridge_3.4.3-3~bpo60+1_i386.deb
    cli-uno-bridge depends on libuno-cli-cppuhelper1.0-cil
  • dpkg -i libuno-cli-cppuhelper1.0-cil_1.0.22.0+LibO3.4.3-3~bpo60+1_all.deb libuno-cli-cppuhelper1.0-cil depends on cli-uno-bridge

So, one depends on the other... is there a way to solve this?

share|improve this question

1 Answer 1

if you're having an issue with a package disappearing, it may have been merged or renamed to another package. To find out http://packages.ubuntu.com/natty/ search for the old package name. At the bottom there's a list files option. In this case I used libcli_uno.so

sudo apt-get install apt-file  
sudo apt-file update  
apt-file libcli_uno.so

Yes, there is no package that provides it at the moment

If you're using those two debs, I would move them into a separate folder. Then go there and dpkg -i *

share|improve this answer
    
I've already seen on one Ubuntu's web page that cli-uno-bridge and other libraries were deleted... So is there some hope for me? I have to wait that they distribute new package, right? –  Marco Apr 16 '12 at 15:38
    
Take a look at my edited post please :) –  Marco Apr 16 '12 at 15:42
    
see if that fixes it –  hbdgaf Apr 16 '12 at 15:45
    
I cannot install those two packages :( –  Marco Apr 16 '12 at 15:46
1  
LibreOffice stopped maintaining the Mono stuff and Debian/Ubuntu followed suit in Ubuntu 12.04 LTS/LibreOffice 3.5.X. –  Bjoern Michaelsen Apr 23 '12 at 16:08

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.